module.exports = {
  name: 'Java Exoframe Template',
  check: (filesList) => filesList.filter(file => file.includes('.jar')).length > 0,
  dockerfile: `
FROM openjdk
COPY . /usr/src/myapp
WORKDIR /usr/src/myapp
CMD java -jar app.jar
`,
  ignores: ['.git/', 'release/'],
  labels: {
    'exoframe.type': 'java',
  },
  interactive(inquirer) {
    const prompts = [];
    prompts.push({
      type: 'input',
      name: 'cmd',
      message: 'New command:',
    });

    return inquirer.prompt(prompts)
    .then(cmd => {
      if (cmd) {
        this.dockerfile = this.dockerfile.replace(/CMD.+?\n/g, `CMD ${cmd}`);
      }
    });
  },
};
